Bug 649984 - Unable to synchronize with Nokia N900
Summary: Unable to synchronize with Nokia N900
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libsyncml
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 22:29 UTC by Mikhail Rumyantsev
Modified: 2012-08-16 21:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:53:46 UTC
Type: ---


Attachments (Terms of Use)
Backport from 0.5.4 patch (3.78 KB, patch)
2010-11-04 22:31 UTC, Mikhail Rumyantsev
no flags Details | Diff
Backport from 0.5.4 v2 (33.82 KB, patch)
2010-12-02 20:57 UTC, Mikhail Rumyantsev
no flags Details | Diff

Description Mikhail Rumyantsev 2010-11-04 22:29:38 UTC
Description of problem: libsyncml-0.4.6 from Fedora repository fails to parse SyncML returned by Nokia N900 over OBEX.

Version-Release number of selected component (if applicable): 0.4.6

How reproducible: always

Steps to Reproduce:
1. Make some change to one or more Contacts on Nokia N900.
2. Connect Nokia N900 device to Fedora 12/13/14 box (USB or Bluetooth)
3. Run: syncml-obex-client -u 1 --wbxml --identifier "PC Suite" --sync text/x-vcard Contacts
4. Or see http://talk.maemo.org/showthread.php?t=49235 to reproduce.
  
Actual results:
Received an transport error: Link Error: 0x0

Expected results:
Some changed contacts are listed.

Additional info:
N900 send empty <Data/> element within <Item/>. Recent versions of libsyncml (0.5.4) handle it properly, 0.4.6 doesn't. So, backport is required. Attached is the patch which work for me.

Comment 1 Mikhail Rumyantsev 2010-11-04 22:31:23 UTC
Created attachment 457956 [details]
Backport from 0.5.4 patch

Comment 2 Mikhail Rumyantsev 2010-12-02 20:57:42 UTC
Created attachment 464370 [details]
Backport from 0.5.4 v2

Previous patch appeared to be incomplete, it didn't allow more then one item to be transmitted upon slow-sync. Additional code is backported. Now I'm able to sync Contacts my device completely.

Comment 3 Felix Kaechele 2010-12-04 10:08:46 UTC
Thanks for the patch. I will look into including it into the Fedora Packages.

Comment 4 Fedora End Of Life 2012-08-16 21:53:48 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.